new version of automake
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.11.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2009 - Digiteo - Allan CORNET
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 ### SOURCES ###
24
25 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
26 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
27 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
28 #
29 # This file must be used under the terms of the CeCILL.
30 # This source file is licensed as described in the file COPYING, which
31 # you should have received as part of this distribution.  The terms
32 # are also available at
33 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 pkgdatadir = $(datadir)/@PACKAGE@
45 pkgincludedir = $(includedir)/@PACKAGE@
46 pkglibdir = $(libdir)/@PACKAGE@
47 pkglibexecdir = $(libexecdir)/@PACKAGE@
48 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
49 install_sh_DATA = $(install_sh) -c -m 644
50 install_sh_PROGRAM = $(install_sh) -c
51 install_sh_SCRIPT = $(install_sh) -c
52 INSTALL_HEADER = $(INSTALL_DATA)
53 transform = $(program_transform_name)
54 NORMAL_INSTALL = :
55 PRE_INSTALL = :
56 POST_INSTALL = :
57 NORMAL_UNINSTALL = :
58 PRE_UNINSTALL = :
59 POST_UNINSTALL = :
60 build_triplet = @build@
61 host_triplet = @host@
62 DIST_COMMON = $(libsciapi_scilab_la_include_HEADERS) \
63         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
64         $(top_srcdir)/Makefile.incl.am
65 @NEED_JAVA_TRUE@am__append_1 = java
66 subdir = modules/api_scilab
67 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
69         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
70         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
71         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
72         $(top_srcdir)/m4/intel_compiler.m4 \
73         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
74         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
75         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
76         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
77         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
78         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
79         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
80         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
81         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
82         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
83         $(top_srcdir)/configure.ac
84 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
85         $(ACLOCAL_M4)
86 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
87 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
88 CONFIG_CLEAN_FILES =
89 CONFIG_CLEAN_VPATH_FILES =
90 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
91 am__vpath_adj = case $$p in \
92     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
93     *) f=$$p;; \
94   esac;
95 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
96 am__install_max = 40
97 am__nobase_strip_setup = \
98   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
99 am__nobase_strip = \
100   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
101 am__nobase_list = $(am__nobase_strip_setup); \
102   for p in $$list; do echo "$$p $$p"; done | \
103   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
104   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
105     if (++n[$$2] == $(am__install_max)) \
106       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
107     END { for (dir in files) print dir, files[dir] }'
108 am__base_list = \
109   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
110   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
111 am__uninstall_files_from_dir = { \
112   test -z "$$files" \
113     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
114     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
115          $(am__cd) "$$dir" && rm -f $$files; }; \
116   }
117 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
118         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
119         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
120         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
121 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
122 libsciapi_scilab_la_DEPENDENCIES =
123 am__objects_1 = libsciapi_scilab_la-api_boolean.lo \
124         libsciapi_scilab_la-api_boolean_sparse.lo \
125         libsciapi_scilab_la-api_common.lo \
126         libsciapi_scilab_la-api_double.lo \
127         libsciapi_scilab_la-api_int.lo libsciapi_scilab_la-api_list.lo \
128         libsciapi_scilab_la-api_poly.lo \
129         libsciapi_scilab_la-api_sparse.lo \
130         libsciapi_scilab_la-api_string.lo \
131         libsciapi_scilab_la-api_pointer.lo \
132         libsciapi_scilab_la-api_error.lo
133 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
134 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
135 libsciapi_scilab_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
136         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
137         $(CXXFLAGS) $(libsciapi_scilab_la_LDFLAGS) $(LDFLAGS) -o $@
138 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
139 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
140 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
141 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
142 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
143 am__depfiles_maybe = depfiles
144 am__mv = mv -f
145 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
146         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
147 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
148         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
149         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
150 CXXLD = $(CXX)
151 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
152         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
153         $(LDFLAGS) -o $@
154 SOURCES = $(libsciapi_scilab_la_SOURCES)
155 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
156 DATA = $(libsciapi_scilab_la_etc_DATA) \
157         $(libsciapi_scilab_la_root_DATA)
158 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
159 ETAGS = etags
160 CTAGS = ctags
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 ACLOCAL = @ACLOCAL@
163 ALL_LINGUAS = @ALL_LINGUAS@
164 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
165 AMTAR = @AMTAR@
166 ANT = @ANT@
167 ANTLR = @ANTLR@
168 AR = @AR@
169 ARPACK_LIBS = @ARPACK_LIBS@
170 AUTOCONF = @AUTOCONF@
171 AUTOHEADER = @AUTOHEADER@
172 AUTOMAKE = @AUTOMAKE@
173 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
174 AWK = @AWK@
175 BATIK = @BATIK@
176 BLAS_LIBS = @BLAS_LIBS@
177 BSH = @BSH@
178 CC = @CC@
179 CCACHE = @CCACHE@
180 CCDEPMODE = @CCDEPMODE@
181 CFLAGS = @CFLAGS@
182 CHECKSTYLE = @CHECKSTYLE@
183 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
184 COMMONS_IO = @COMMONS_IO@
185 COMMONS_LOGGING = @COMMONS_LOGGING@
186 CPP = @CPP@
187 CPPFLAGS = @CPPFLAGS@
188 CXX = @CXX@
189 CXXCPP = @CXXCPP@
190 CXXDEPMODE = @CXXDEPMODE@
191 CXXFLAGS = @CXXFLAGS@
192 CYGPATH_W = @CYGPATH_W@
193 DEFS = @DEFS@
194 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
195 DEPDIR = @DEPDIR@
196 DOCBOOK_ROOT = @DOCBOOK_ROOT@
197 DSYMUTIL = @DSYMUTIL@
198 DUMPBIN = @DUMPBIN@
199 ECHO_C = @ECHO_C@
200 ECHO_N = @ECHO_N@
201 ECHO_T = @ECHO_T@
202 EGREP = @EGREP@
203 EXEEXT = @EXEEXT@
204 F77 = @F77@
205 FFLAGS = @FFLAGS@
206 FFTW3_LIB = @FFTW3_LIB@
207 FFTW_ENABLE = @FFTW_ENABLE@
208 FGREP = @FGREP@
209 FLEXDOCK = @FLEXDOCK@
210 FLIBS = @FLIBS@
211 FOP = @FOP@
212 GENHTML = @GENHTML@
213 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
214 GIWS_BIN = @GIWS_BIN@
215 GLUEGEN_RT = @GLUEGEN_RT@
216 GMSGFMT = @GMSGFMT@
217 GMSGFMT_015 = @GMSGFMT_015@
218 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
219 GREP = @GREP@
220 GUI_ENABLE = @GUI_ENABLE@
221 HDF5_CFLAGS = @HDF5_CFLAGS@
222 HDF5_ENABLE = @HDF5_ENABLE@
223 HDF5_LIBS = @HDF5_LIBS@
224 HELP_ENABLE = @HELP_ENABLE@
225 INSTALL = @INSTALL@
226 INSTALL_DATA = @INSTALL_DATA@
227 INSTALL_PROGRAM = @INSTALL_PROGRAM@
228 INSTALL_SCRIPT = @INSTALL_SCRIPT@
229 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
230 INTLLIBS = @INTLLIBS@
231 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
232 JAR = @JAR@
233 JAVA = @JAVA@
234 JAVAC = @JAVAC@
235 JAVAC_DEBUG = @JAVAC_DEBUG@
236 JAVADOC = @JAVADOC@
237 JAVAH = @JAVAH@
238 JAVASCI_ENABLE = @JAVASCI_ENABLE@
239 JAVA_ENABLE = @JAVA_ENABLE@
240 JAVA_G = @JAVA_G@
241 JAVA_HOME = @JAVA_HOME@
242 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
243 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
244 JCOMMANDER = @JCOMMANDER@
245 JDB = @JDB@
246 JEUCLID_CORE = @JEUCLID_CORE@
247 JGRAPHX = @JGRAPHX@
248 JHALL = @JHALL@
249 JHDF5 = @JHDF5@
250 JLATEXMATH = @JLATEXMATH@
251 JLATEXMATH_FOP = @JLATEXMATH_FOP@
252 JOGL = @JOGL@
253 JROSETTA_API = @JROSETTA_API@
254 JROSETTA_ENGINE = @JROSETTA_ENGINE@
255 JUNIT = @JUNIT@
256 LAPACK_LIBS = @LAPACK_LIBS@
257 LCOV = @LCOV@
258 LD = @LD@
259 LDFLAGS = @LDFLAGS@
260 LIBICONV = @LIBICONV@
261 LIBINTL = @LIBINTL@
262 LIBM = @LIBM@
263 LIBOBJS = @LIBOBJS@
264 LIBS = @LIBS@
265 LIBTOOL = @LIBTOOL@
266 LIPO = @LIPO@
267 LN_S = @LN_S@
268 LOGGING_LEVEL = @LOGGING_LEVEL@
269 LOOKS = @LOOKS@
270 LTLIBICONV = @LTLIBICONV@
271 LTLIBINTL = @LTLIBINTL@
272 LTLIBOBJS = @LTLIBOBJS@
273 MAINT = @MAINT@
274 MAKEINFO = @MAKEINFO@
275 MATIO_CFLAGS = @MATIO_CFLAGS@
276 MATIO_ENABLE = @MATIO_ENABLE@
277 MATIO_LIBS = @MATIO_LIBS@
278 MKDIR_P = @MKDIR_P@
279 MSGCAT = @MSGCAT@
280 MSGFMT = @MSGFMT@
281 MSGFMT_015 = @MSGFMT_015@
282 MSGMERGE = @MSGMERGE@
283 NM = @NM@
284 NMEDIT = @NMEDIT@
285 OBJDUMP = @OBJDUMP@
286 OBJEXT = @OBJEXT@
287 OCAMLC = @OCAMLC@
288 OCAMLDEP = @OCAMLDEP@
289 OCAMLLEX = @OCAMLLEX@
290 OCAMLOPT = @OCAMLOPT@
291 OCAMLYACC = @OCAMLYACC@
292 OPENMP_CFLAGS = @OPENMP_CFLAGS@
293 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
294 OPENMP_ENABLE = @OPENMP_ENABLE@
295 OPENMP_LIBS = @OPENMP_LIBS@
296 OTOOL = @OTOOL@
297 OTOOL64 = @OTOOL64@
298 PACKAGE = @PACKAGE@
299 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
300 PACKAGE_NAME = @PACKAGE_NAME@
301 PACKAGE_STRING = @PACKAGE_STRING@
302 PACKAGE_TARNAME = @PACKAGE_TARNAME@
303 PACKAGE_URL = @PACKAGE_URL@
304 PACKAGE_VERSION = @PACKAGE_VERSION@
305 PATH_SEPARATOR = @PATH_SEPARATOR@
306 PCRE_CFLAGS = @PCRE_CFLAGS@
307 PCRE_CONFIG = @PCRE_CONFIG@
308 PCRE_LIBS = @PCRE_LIBS@
309 PCRE_VERSION = @PCRE_VERSION@
310 PKG_CONFIG = @PKG_CONFIG@
311 POSUB = @POSUB@
312 POW_LIB = @POW_LIB@
313 PYTHON = @PYTHON@
314 QDOX = @QDOX@
315 RANLIB = @RANLIB@
316 RELOCATABLE = @RELOCATABLE@
317 RT_LIB = @RT_LIB@
318 SAXON = @SAXON@
319 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
320 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
321 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
322 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
323 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
324 SED = @SED@
325 SET_MAKE = @SET_MAKE@
326 SET_RELOCATABLE = @SET_RELOCATABLE@
327 SHELL = @SHELL@
328 SKINLF = @SKINLF@
329 SPLINT = @SPLINT@
330 STRIP = @STRIP@
331 SWIG_BIN = @SWIG_BIN@
332 SWIG_JAVA = @SWIG_JAVA@
333 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
334 TCLTK_LIBS = @TCLTK_LIBS@
335 TCL_INC_PATH = @TCL_INC_PATH@
336 TESTNG = @TESTNG@
337 TK_INC_PATH = @TK_INC_PATH@
338 UMFPACK_ENABLE = @UMFPACK_ENABLE@
339 UMFPACK_LIB = @UMFPACK_LIB@
340 USE_NLS = @USE_NLS@
341 VERSION = @VERSION@
342 WITH_OCAML = @WITH_OCAML@
343 WITH_TKSCI = @WITH_TKSCI@
344 XCOS_ENABLE = @XCOS_ENABLE@
345 XGETTEXT = @XGETTEXT@
346 XGETTEXT_015 = @XGETTEXT_015@
347 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
348 XMKMF = @XMKMF@
349 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
350 XML_APIS_EXT = @XML_APIS_EXT@
351 XML_CONFIG = @XML_CONFIG@
352 XML_FLAGS = @XML_FLAGS@
353 XML_LIBS = @XML_LIBS@
354 XML_VERSION = @XML_VERSION@
355 X_CFLAGS = @X_CFLAGS@
356 X_EXTRA_LIBS = @X_EXTRA_LIBS@
357 X_LIBS = @X_LIBS@
358 X_PRE_LIBS = @X_PRE_LIBS@
359 abs_builddir = @abs_builddir@
360 abs_srcdir = @abs_srcdir@
361 abs_top_builddir = @abs_top_builddir@
362 abs_top_srcdir = @abs_top_srcdir@
363 ac_ct_CC = @ac_ct_CC@
364 ac_ct_CXX = @ac_ct_CXX@
365 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
366 ac_ct_F77 = @ac_ct_F77@
367 am__include = @am__include@
368 am__leading_dot = @am__leading_dot@
369 am__quote = @am__quote@
370 am__tar = @am__tar@
371 am__untar = @am__untar@
372 bindir = @bindir@
373 build = @build@
374 build_alias = @build_alias@
375 build_cpu = @build_cpu@
376 build_os = @build_os@
377 build_vendor = @build_vendor@
378 builddir = @builddir@
379 cxx_present = @cxx_present@
380 datadir = @datadir@
381 datarootdir = @datarootdir@
382 docdir = @docdir@
383 dvidir = @dvidir@
384 exec_prefix = @exec_prefix@
385 host = @host@
386 host_alias = @host_alias@
387 host_cpu = @host_cpu@
388 host_os = @host_os@
389 host_vendor = @host_vendor@
390 htmldir = @htmldir@
391 includedir = @includedir@
392 infodir = @infodir@
393 install_sh = @install_sh@
394 libdir = @libdir@
395 libexecdir = @libexecdir@
396 localedir = @localedir@
397 localstatedir = @localstatedir@
398 mandir = @mandir@
399 mkdir_p = @mkdir_p@
400 oldincludedir = @oldincludedir@
401 pdfdir = @pdfdir@
402 prefix = @prefix@
403 program_transform_name = @program_transform_name@
404 psdir = @psdir@
405 sbindir = @sbindir@
406 sharedstatedir = @sharedstatedir@
407 srcdir = @srcdir@
408 sysconfdir = @sysconfdir@
409 target_alias = @target_alias@
410 top_build_prefix = @top_build_prefix@
411 top_builddir = @top_builddir@
412 top_srcdir = @top_srcdir@
413 API_SCILAB_CPP_SOURCES = src/cpp/api_boolean.cpp \
414 src/cpp/api_boolean_sparse.cpp \
415 src/cpp/api_common.cpp \
416 src/cpp/api_double.cpp \
417 src/cpp/api_int.cpp \
418 src/cpp/api_list.cpp \
419 src/cpp/api_poly.cpp \
420 src/cpp/api_sparse.cpp \
421 src/cpp/api_string.cpp \
422 src/cpp/api_pointer.cpp \
423 src/cpp/api_error.cpp
424
425 libsciapi_scilab_la_CFLAGS = -I$(srcdir)/includes/ \
426 -I$(srcdir)/src/c/ \
427 -I$(top_srcdir)/modules/core/includes \
428 -I$(top_srcdir)/modules/call_scilab/includes \
429 -I$(top_srcdir)/libs/MALLOC/includes/ \
430 -I$(top_srcdir)/modules/localization/includes \
431 -I$(top_srcdir)/modules/output_stream/includes \
432 -I$(top_srcdir)/modules/string/includes
433
434 libsciapi_scilab_la_CPPFLAGS = -I$(srcdir)/includes/ \
435 -I$(srcdir)/src/cpp/ \
436 -I$(top_srcdir)/modules/core/includes \
437 -I$(top_srcdir)/modules/call_scilab/includes \
438 -I$(top_srcdir)/libs/MALLOC/includes/ \
439 -I$(top_srcdir)/modules/localization/includes \
440 -I$(top_srcdir)/modules/output_stream/includes \
441 -I$(top_srcdir)/modules/string/includes
442
443 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
444 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
445 libsciapi_scilab_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
446 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CPP_SOURCES)
447
448 # For the code check (splint)
449 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
450 INCLUDE_FLAGS = $(libsciapi_scilab_la_CFLAGS) 
451 libsciapi_scilab_la_LIBADD = 
452 #
453
454 #### Target ######
455 modulename = api_scilab
456
457 #### api_scilab : Conf files ####
458 libsciapi_scilab_la_rootdir = $(mydatadir)
459 libsciapi_scilab_la_root_DATA = license.txt 
460
461 #### api_scilab : init scripts ####
462 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
463 libsciapi_scilab_la_etc_DATA = etc/api_scilab.quit etc/api_scilab.start
464
465 #### api_scilab : include files ####
466 libsciapi_scilab_la_includedir = $(pkgincludedir)
467 libsciapi_scilab_la_include_HEADERS = includes/api_boolean.h \
468 includes/api_boolean_sparse.h \
469 includes/api_common.h \
470 includes/api_error.h \
471 includes/api_double.h \
472 includes/api_int.h \
473 includes/api_list.h \
474 includes/api_pointer.h \
475 includes/api_poly.h \
476 includes/api_sparse.h \
477 includes/api_string.h \
478 includes/api_scilab.h
479
480
481 # Where all the Scilab stuff is installed (macros, help, ...)
482 mydatadir = $(pkgdatadir)/modules/$(modulename)
483
484 # splint options
485 SPLINT_OPTIONS = -weak -booltype BOOL
486
487 ########################### JAVA ######################################
488 #### We are delegating java compilation to ant... Thanks to that
489 #### the procedure will be the same with Microsoft Windows (C)
490 #### and Linux/Unix
491 #######################################################################
492 TARGETS_ALL = $(am__append_1)
493
494 ################ MACROS ######################
495 # Rule to build a macro
496 # NOT USED  AT THE MOMENT
497 SUFFIXES = .sci 
498
499 ########### INSTALL DOCUMENTATION ###################
500
501 # Install documentation files into the right target
502 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
503 # automake needs the html files to be present which is not the case when
504 # we are building Scilab
505
506 # Where it should be installed
507 pkgdocdir = $(mydatadir)
508
509 # What is the mask of the help source
510 DOCMASKXML = *.xml
511
512 # What is the mask of the MathML sources
513 DOCMASKMML = *.mml
514
515 ########### INSTALL DATA ###################
516 # Install macros, help & demos
517 # Where it should be installed
518 pkgmacrosdir = $(mydatadir)
519 # Which directory we process
520 MACRODIRS = macros/
521 # Mask of the Scilab sources macros
522 MACROMASK = *.sci
523 # Mask of the Scilab executable sources macros
524 MACROBUILDMASK = *.sce
525 # Mask of the Scilab compiled macros
526 MACROBINMASK = *.bin
527 # List of the standard directory for tests
528 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
529 # Where the demos should be installed
530 pkgdemosdir = $(mydatadir)
531 # List of the standard directory for demos
532 DEMOS_DIR = demos
533 # List of the standard directory for examples
534 EXAMPLES_DIR = examples
535 # Where to export JAVA archives (.jar)
536 JARDIR = jar/
537 # JAR files mask
538 JARMASK = *.jar
539 # Chapter file 
540 HELP_CHAPTERDIR = help/
541 HELP_CHAPTERFILE = addchapter.sce
542 HELP_CHAPTERLANG = en_US fr_FR pt_BR
543 all: all-am
544
545 .SUFFIXES:
546 .SUFFIXES: .sci .bin .cpp .lo .o .obj
547 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
548         @for dep in $?; do \
549           case '$(am__configure_deps)' in \
550             *$$dep*) \
551               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
552                 && { if test -f $@; then exit 0; else break; fi; }; \
553               exit 1;; \
554           esac; \
555         done; \
556         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
557         $(am__cd) $(top_srcdir) && \
558           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
559 .PRECIOUS: Makefile
560 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
561         @case '$?' in \
562           *config.status*) \
563             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
564           *) \
565             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
566             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
567         esac;
568
569 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
570         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571
572 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
573         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
574 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
575         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
576 $(am__aclocal_m4_deps):
577
578 clean-noinstLTLIBRARIES:
579         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
580         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
581           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
582           test "$$dir" != "$$p" || dir=.; \
583           echo "rm -f \"$${dir}/so_locations\""; \
584           rm -f "$${dir}/so_locations"; \
585         done
586 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
587         @$(NORMAL_INSTALL)
588         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
589         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
590         list2=; for p in $$list; do \
591           if test -f $$p; then \
592             list2="$$list2 $$p"; \
593           else :; fi; \
594         done; \
595         test -z "$$list2" || { \
596           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
597           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
598         }
599
600 uninstall-pkglibLTLIBRARIES:
601         @$(NORMAL_UNINSTALL)
602         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
603         for p in $$list; do \
604           $(am__strip_dir) \
605           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
606           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
607         done
608
609 clean-pkglibLTLIBRARIES:
610         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
611         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
612           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
613           test "$$dir" != "$$p" || dir=.; \
614           echo "rm -f \"$${dir}/so_locations\""; \
615           rm -f "$${dir}/so_locations"; \
616         done
617 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) 
618         $(libsciapi_scilab_la_LINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
619
620 mostlyclean-compile:
621         -rm -f *.$(OBJEXT)
622
623 distclean-compile:
624         -rm -f *.tab.c
625
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_common.Plo@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_double.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_int.Plo@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_list.Plo@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_poly.Plo@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo@am__quote@
636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_string.Plo@am__quote@
637
638 .cpp.o:
639 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
640 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
641 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
642 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
643 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
644
645 .cpp.obj:
646 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
647 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
648 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
649 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
650 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
651
652 .cpp.lo:
653 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
654 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
655 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
656 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
657 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
658
659 libsciapi_scilab_la-api_boolean.lo: src/cpp/api_boolean.cpp
660 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
661 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo
662 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean.cpp' object='libsciapi_scilab_la-api_boolean.lo' libtool=yes @AMDEPBACKSLASH@
663 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
664 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
665
666 libsciapi_scilab_la-api_boolean_sparse.lo: src/cpp/api_boolean_sparse.cpp
667 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
668 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo
669 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean_sparse.cpp' object='libsciapi_scilab_la-api_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
670 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
671 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
672
673 libsciapi_scilab_la-api_common.lo: src/cpp/api_common.cpp
674 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_common.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
675 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo $(DEPDIR)/libsciapi_scilab_la-api_common.Plo
676 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_common.cpp' object='libsciapi_scilab_la-api_common.lo' libtool=yes @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
679
680 libsciapi_scilab_la-api_double.lo: src/cpp/api_double.cpp
681 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_double.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
682 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo $(DEPDIR)/libsciapi_scilab_la-api_double.Plo
683 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_double.cpp' object='libsciapi_scilab_la-api_double.lo' libtool=yes @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
686
687 libsciapi_scilab_la-api_int.lo: src/cpp/api_int.cpp
688 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_int.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
689 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo $(DEPDIR)/libsciapi_scilab_la-api_int.Plo
690 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_int.cpp' object='libsciapi_scilab_la-api_int.lo' libtool=yes @AMDEPBACKSLASH@
691 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
693
694 libsciapi_scilab_la-api_list.lo: src/cpp/api_list.cpp
695 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_list.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
696 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo $(DEPDIR)/libsciapi_scilab_la-api_list.Plo
697 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_list.cpp' object='libsciapi_scilab_la-api_list.lo' libtool=yes @AMDEPBACKSLASH@
698 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
700
701 libsciapi_scilab_la-api_poly.lo: src/cpp/api_poly.cpp
702 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_poly.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
703 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo $(DEPDIR)/libsciapi_scilab_la-api_poly.Plo
704 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_poly.cpp' object='libsciapi_scilab_la-api_poly.lo' libtool=yes @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
707
708 libsciapi_scilab_la-api_sparse.lo: src/cpp/api_sparse.cpp
709 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
710 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo
711 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_sparse.cpp' object='libsciapi_scilab_la-api_sparse.lo' libtool=yes @AMDEPBACKSLASH@
712 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
714
715 libsciapi_scilab_la-api_string.lo: src/cpp/api_string.cpp
716 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_string.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
717 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo $(DEPDIR)/libsciapi_scilab_la-api_string.Plo
718 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_string.cpp' object='libsciapi_scilab_la-api_string.lo' libtool=yes @AMDEPBACKSLASH@
719 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
721
722 libsciapi_scilab_la-api_pointer.lo: src/cpp/api_pointer.cpp
723 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_pointer.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
724 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo $(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo
725 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_pointer.cpp' object='libsciapi_scilab_la-api_pointer.lo' libtool=yes @AMDEPBACKSLASH@
726 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
728
729 libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
730 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_error.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
731 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo $(DEPDIR)/libsciapi_scilab_la-api_error.Plo
732 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_error.cpp' object='libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
735
736 mostlyclean-libtool:
737         -rm -f *.lo
738
739 clean-libtool:
740         -rm -rf .libs _libs
741 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
742         @$(NORMAL_INSTALL)
743         test -z "$(libsciapi_scilab_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)"
744         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
745         for p in $$list; do \
746           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
747           echo "$$d$$p"; \
748         done | $(am__base_list) | \
749         while read files; do \
750           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
751           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
752         done
753
754 uninstall-libsciapi_scilab_la_etcDATA:
755         @$(NORMAL_UNINSTALL)
756         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
757         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
758         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
759 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
760         @$(NORMAL_INSTALL)
761         test -z "$(libsciapi_scilab_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)"
762         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
763         for p in $$list; do \
764           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
765           echo "$$d$$p"; \
766         done | $(am__base_list) | \
767         while read files; do \
768           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
769           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
770         done
771
772 uninstall-libsciapi_scilab_la_rootDATA:
773         @$(NORMAL_UNINSTALL)
774         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
775         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
776         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
777 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
778         @$(NORMAL_INSTALL)
779         test -z "$(libsciapi_scilab_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
780         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
781         for p in $$list; do \
782           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
783           echo "$$d$$p"; \
784         done | $(am__base_list) | \
785         while read files; do \
786           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
787           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
788         done
789
790 uninstall-libsciapi_scilab_la_includeHEADERS:
791         @$(NORMAL_UNINSTALL)
792         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
793         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
794         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
795
796 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
797         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
798         unique=`for i in $$list; do \
799             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
800           done | \
801           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
802               END { if (nonempty) { for (i in files) print i; }; }'`; \
803         mkid -fID $$unique
804 tags: TAGS
805
806 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
807                 $(TAGS_FILES) $(LISP)
808         set x; \
809         here=`pwd`; \
810         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
811         unique=`for i in $$list; do \
812             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
813           done | \
814           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
815               END { if (nonempty) { for (i in files) print i; }; }'`; \
816         shift; \
817         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
818           test -n "$$unique" || unique=$$empty_fix; \
819           if test $$# -gt 0; then \
820             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
821               "$$@" $$unique; \
822           else \
823             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
824               $$unique; \
825           fi; \
826         fi
827 ctags: CTAGS
828 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
829                 $(TAGS_FILES) $(LISP)
830         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
831         unique=`for i in $$list; do \
832             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
833           done | \
834           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
835               END { if (nonempty) { for (i in files) print i; }; }'`; \
836         test -z "$(CTAGS_ARGS)$$unique" \
837           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
838              $$unique
839
840 GTAGS:
841         here=`$(am__cd) $(top_builddir) && pwd` \
842           && $(am__cd) $(top_srcdir) \
843           && gtags -i $(GTAGS_ARGS) "$$here"
844
845 distclean-tags:
846         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
847
848 distdir: $(DISTFILES)
849         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
850         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
851         list='$(DISTFILES)'; \
852           dist_files=`for file in $$list; do echo $$file; done | \
853           sed -e "s|^$$srcdirstrip/||;t" \
854               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
855         case $$dist_files in \
856           */*) $(MKDIR_P) `echo "$$dist_files" | \
857                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
858                            sort -u` ;; \
859         esac; \
860         for file in $$dist_files; do \
861           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
862           if test -d $$d/$$file; then \
863             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
864             if test -d "$(distdir)/$$file"; then \
865               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
866             fi; \
867             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
868               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
869               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
870             fi; \
871             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
872           else \
873             test -f "$(distdir)/$$file" \
874             || cp -p $$d/$$file "$(distdir)/$$file" \
875             || exit 1; \
876           fi; \
877         done
878 check-am: all-am
879         $(MAKE) $(AM_MAKEFLAGS) check-local
880 check: check-am
881 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
882 installdirs:
883         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
884           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
885         done
886 install: install-am
887 install-exec: install-exec-am
888 install-data: install-data-am
889 uninstall: uninstall-am
890
891 install-am: all-am
892         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
893
894 installcheck: installcheck-am
895 install-strip:
896         if test -z '$(STRIP)'; then \
897           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
898             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
899               install; \
900         else \
901           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
902             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
903             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
904         fi
905 mostlyclean-generic:
906
907 clean-generic:
908
909 distclean-generic:
910         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
911         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
912
913 maintainer-clean-generic:
914         @echo "This command is intended for maintainers to use"
915         @echo "it deletes files that may require special tools to rebuild."
916 clean: clean-am
917
918 clean-am: clean-generic clean-libtool clean-local \
919         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
920
921 distclean: distclean-am
922         -rm -rf ./$(DEPDIR)
923         -rm -f Makefile
924 distclean-am: clean-am distclean-compile distclean-generic \
925         distclean-local distclean-tags
926
927 dvi: dvi-am
928
929 dvi-am:
930
931 html: html-am
932
933 html-am:
934
935 info: info-am
936
937 info-am:
938
939 install-data-am: install-data-local \
940         install-libsciapi_scilab_la_etcDATA \
941         install-libsciapi_scilab_la_includeHEADERS \
942         install-libsciapi_scilab_la_rootDATA
943
944 install-dvi: install-dvi-am
945
946 install-dvi-am:
947
948 install-exec-am: install-pkglibLTLIBRARIES
949
950 install-html: install-html-am
951
952 install-html-am: install-html-local
953
954 install-info: install-info-am
955
956 install-info-am:
957
958 install-man:
959
960 install-pdf: install-pdf-am
961
962 install-pdf-am:
963
964 install-ps: install-ps-am
965
966 install-ps-am:
967
968 installcheck-am:
969
970 maintainer-clean: maintainer-clean-am
971         -rm -rf ./$(DEPDIR)
972         -rm -f Makefile
973 maintainer-clean-am: distclean-am maintainer-clean-generic
974
975 mostlyclean: mostlyclean-am
976
977 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
978         mostlyclean-libtool
979
980 pdf: pdf-am
981
982 pdf-am:
983
984 ps: ps-am
985
986 ps-am:
987
988 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
989         uninstall-libsciapi_scilab_la_includeHEADERS \
990         uninstall-libsciapi_scilab_la_rootDATA \
991         uninstall-pkglibLTLIBRARIES
992
993 .MAKE: check-am install-am install-strip
994
995 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
996         clean clean-generic clean-libtool clean-local \
997         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
998         distclean distclean-compile distclean-generic \
999         distclean-libtool distclean-local distclean-tags distdir dvi \
1000         dvi-am html html-am info info-am install install-am \
1001         install-data install-data-am install-data-local install-dvi \
1002         install-dvi-am install-exec install-exec-am install-html \
1003         install-html-am install-html-local install-info \
1004         install-info-am install-libsciapi_scilab_la_etcDATA \
1005         install-libsciapi_scilab_la_includeHEADERS \
1006         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1007         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1008         install-ps-am install-strip installcheck installcheck-am \
1009         installdirs maintainer-clean maintainer-clean-generic \
1010         mostlyclean mostlyclean-compile mostlyclean-generic \
1011         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1012         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1013         uninstall-libsciapi_scilab_la_includeHEADERS \
1014         uninstall-libsciapi_scilab_la_rootDATA \
1015         uninstall-pkglibLTLIBRARIES
1016
1017
1018 # This target enables tests for Scilab
1019 check-local: $(top_builddir)/scilab-bin test
1020         @COMMAND="test_run('$(modulename)');quit";\
1021         export LANG=C;\
1022         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1023 check-code:
1024         if test -f build.xml; then \
1025                 $(ANT) checkstyle; \
1026         fi
1027         if test -x "$(SPLINT)"; then \
1028                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1029         fi
1030 @NEED_JAVA_TRUE@java:
1031 # Some configurations needs to export JAVA_HOME in the current env
1032 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1033 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1034 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1035 @NEED_JAVA_TRUE@                $(ANT); \
1036 @NEED_JAVA_TRUE@        fi
1037
1038 @NEED_JAVA_TRUE@clean-java:
1039 # Some configurations needs to export JAVA_HOME in the current env
1040 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1041 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1042 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1043 @NEED_JAVA_TRUE@                $(ANT) clean; \
1044 @NEED_JAVA_TRUE@        fi;
1045
1046 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1047 # We call the target swig-build on the variable SWIG_WRAPPERS
1048
1049 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1050 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1051 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1052 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1053 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1054 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1055 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1056 @SWIG_TRUE@             done; \
1057 @SWIG_TRUE@     fi
1058
1059 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1060 # We call the target swig-build on the variable SWIG_WRAPPERS
1061
1062 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1063 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1064 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1065 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1066 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1067 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1068 @GIWS_TRUE@             done; \
1069 @GIWS_TRUE@     fi
1070
1071 @GIWS_TRUE@giws-exception:
1072 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1073 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1074 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1075
1076 macros:
1077         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1078                 echo "Error : Cannot build $< : Scilab has not been built"; \
1079         else \
1080                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1081         fi)
1082
1083 # Removes the macros
1084 clean-macros:
1085 # Removes macros (*.bin generated from .sci)
1086         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1087                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1088                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1089         done
1090
1091 test:
1092 # More tests could be added here
1093         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1094         if test -f build.xml -a $$USEANT -eq 1; then \
1095                 $(ANT) test; \
1096         fi
1097
1098 all-local: $(TARGETS_ALL)
1099
1100 .sci.bin:
1101         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1102         echo "Error : Cannot build $< : Scilab has not been build"; \
1103         else \
1104         echo "Creating $@"; \
1105         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1106         fi )
1107
1108 install-html-local:
1109
1110 install-data-local-local:
1111 # Mainly for javasci
1112         @if test -d $(srcdir)/javadoc; then \
1113                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1114         fi
1115 # If the user wants the help sources to be installed
1116 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1117 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1118 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1119 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1120 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1121 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1122 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1123 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1124 @INSTALL_HELP_XML_TRUE@           done ; \
1125 @INSTALL_HELP_XML_TRUE@         fi; \
1126 @INSTALL_HELP_XML_TRUE@  fi; \
1127 @INSTALL_HELP_XML_TRUE@ done; \
1128 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1129 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1130 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1131 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1132 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1133 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1134 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1135 @INSTALL_HELP_XML_TRUE@           done ; \
1136 @INSTALL_HELP_XML_TRUE@         fi; \
1137 @INSTALL_HELP_XML_TRUE@ fi
1138 install-data-local:
1139 # Install the tests
1140         @echo "-------- Install tests (if any) --------"; \
1141         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1142           if test -d $(srcdir)/$$dir/; then \
1143             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1144                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1145                     if test -d "$(srcdir)/$$dir/$$file"; then \
1146                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1147                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1148                     else \
1149                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1150                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1151                     fi \
1152                   done; \
1153           fi; \
1154         done
1155 # Install the help chapter
1156         @echo "-------- Install the help chapter (if any) --------"; \
1157         for lang in $(HELP_CHAPTERLANG); do \
1158                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1159                 if test -f $$HELPFILE; then \
1160                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1161                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1162                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1163                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1164                 fi; \
1165         done
1166 # Install the demos & examples
1167         @echo "-------- Install demos & examples (if any) --------"; \
1168         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1169           if test -d $(srcdir)/$$dir/; then \
1170             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1171                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1172                     if test -d "$(srcdir)/$$dir/$$file"; then \
1173                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1174                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1175                     else \
1176                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1177                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1178                     fi \
1179                   done; \
1180           fi; \
1181         done
1182 # Install the macros
1183         @echo "-------- Install macros (if any) --------"; \
1184         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1185           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1186                 if test -d $(srcdir)/$$dir/; then \
1187                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1188                         if test -n "$(MACROSSPECIALEXT)"; then \
1189                                 specialExtDir=""; \
1190                                 for specialExt in $(MACROSSPECIALEXT); do \
1191                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1192                                 done; \
1193                                 FILELIST="$$FILELIST $$specialExtDir"; \
1194                         fi; \
1195                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1196                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1197                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1198                   done; \
1199                 fi; \
1200         done
1201 # Install java files (.jar)
1202         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1203         echo "-------- Install jar files --------"; \
1204     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1205           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1206                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1207                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1208           done ; \
1209         fi
1210
1211 ########### CLEAN ###################
1212 # Clean help (generated automatically by Scilab)
1213 # It used to clean the macro (clean-macros) but this was causing
1214 # make clean && make to fail Scilab startup
1215 @NEED_JAVA_TRUE@clean-local: clean-java
1216 @NEED_JAVA_FALSE@clean-local:
1217
1218 distclean-local:
1219         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1220
1221 .PHONY: macros java swig giws
1222
1223 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1224 # Otherwise a system limit (for SysV at least) may be exceeded.
1225 .NOEXPORT: